﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Ascon.Pilot.SDK.FileSnapshotSample
{
    class ReasonViewModel : PropertyChangedBase
    {
        private string _reason = string.Empty;
        
        public ReasonViewModel(string title)
        {
            ObjectTitle = string.Format("Specify the replacement reason for \"{0}\"", title);
        }

        public string ObjectTitle { get; private set; }

        public string Reason
        {
            get { return _reason; }
            set
            {
                _reason = value;
                NotifyPropertyChanged("Reason");
            }
        }
    }
}
