﻿using System;
using System.Reflection;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using NUnit.Framework;

namespace ProjectCloneWizard.Tests
{
    [TestFixture]
    public class WizardControlTests
    {
        [Test, Apartment(ApartmentState.STA)]
        public void should_disabled_buttons_when_start()
        {
            var wizard = new WizardControl();
            
            Assert.IsFalse(wizard.BackButton.IsEnabled);
            Assert.IsFalse(wizard.NextButton.IsEnabled);
        }
    }
}
